{% load i18n %}
{% load sponsors %}
{% load talk_urls %}
<!DOCTYPE html>
<html>
<head>
    <title>{{ object.name }} - {{ WAFER_CONFERENCE_NAME }}</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="{{ STATIC_URL }}css/debconf16.min.css" rel="stylesheet" media="screen">
    <link rel="shortcut icon" type="image/x-icon" href="{{ STATIC_URL }}img/favicon.ico">
    {% block extra_head %}{% endblock %}
</head>
<body>
    {% include "wafer/nav.html" %}
    {% if talk.talkurl_set.all|has_video %}
    <div id="video">
        <div class="container">
            <div class="video-container">
                {% for talk_url in talk.talkurl_set.all %}
                {% if talk_url.description == "Video" %}
                <video id="live-stream" class="video-js vjs-default-skin vjs-big-play-centered" controls data-setup="{height: '100%', width: '100%'}" src="{{ talk_url.url }}">
                </video>
                {% endif %}
                {% endfor %}
            </div>
        </div>
    </div>
    <div id="video-main" class="container" role="main">
    {% else %}
    <div id="main" class="container" role="main">
    {% endif %}
        {% if messages %}
        <div class="messages">
            {% for message in messages %}
            <div class="alert
                {% if message.tags = 'error' %}
                    alert-danger
                {% elif message.tags %}
                    alert-{{ message.tags }}
                {% endif %}">{{ message }}</div>
            {% endfor %}
        </div>
        {% endif %}
        <section class="wafer wafer-talk">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8">
                    {% if can_edit %}
                    <a href="{% url 'wafer_talk_edit' object.pk %}" class="pull-right btn btn-default btn-lg">{% trans 'Edit' %}</a>
                    {% endif %}
                    <h1 class="fancy-heading"><span>{{ object.title }}</span></h1>
                    <div>
                        <p>
                        {% blocktrans count counter=object.authors.count %}
                        Speaker:
                        {% plural %}
                        Speakers:
                        {% endblocktrans %}
                        {% for author in object.authors.all %}
                        <a href="{% url 'wafer_user_profile' username=author.username %}">{{ author.userprofile.display_name }}</a>
                        {% endfor %}
                        </p>
                        <p>
                        {% blocktrans with talk_type=object.talk_type.name|default:'Talk' %}
                        Type:
                        {{ talk_type }}
                        {% endblocktrans %}
                        </p>
                        {% if object.get_in_schedule %}
                        {% for schedule in object.scheduleitem_set.all %}
                        <p>
                        {% blocktrans with venue=schedule.venue %}
                        Room:
                        {{ venue }}
                        {% endblocktrans %}
                        </p>
                        <p>
                        {% blocktrans with start_time=schedule.get_start_time %}
                        Time:
                        {{ start_time }}
                        {% endblocktrans %}
                        </p>
                        {% endfor %}
                        {% endif %}
                    </div>
                    {% if user.is_staff or perms.talks.view_all_talks %}
                    <div>
                        <p>
                        {% trans 'Status:' %}
                        {% if object.pending %}
                        <span class="label label-info">{% trans 'Under consideration' %}</span>
                        {% elif object.accepted %}
                        <span class="label label-success">{% trans 'Accepted' %}</span>
                        {% elif object.cancelled %}
                        <span class="label label-warning">{% trans 'Cancelled' %}</span>
                        {% else %}
                        <span class="label label-danger">{% trans 'Not accepted' %}</span>
                        {% endif %}
                        </p>
                    </div>
                    {% endif %}
                    <div class="well">
                        {{ object.abstract.rendered|safe }}
                    </div>
                    {% if perms.talks.view_all_talks or user.is_superuser %}
                    {% if talk.notes %}
                    {% blocktrans %}
                    <h2>Talk Notes</h2>
                    <p>(The following is not visible to attendees.)</p>
                    {% endblocktrans %}
                    <div class="well">
                        {{ object.notes|urlize|linebreaks }}
                    </div>
                    {% endif %}
                    {% endif %}
                    {% if perms.talks.edit_private_notes and object.private_notes %}
                    {% blocktrans %}
                    <h2>Private notes</h2>
                    <p>(The following is not visible to submitters or attendees.)</p>
                    {% endblocktrans %}
                    <div class="well">
                        {{ object.private_notes|urlize|linebreaks }}
                    </div>
                    {% endif %}
                    {% if talk.talkurl_set.all %}
                    <div class="well" id="urls">
                        <div>{% trans "URLS" %}</div>
                        <ul>
                            {% for talkurl in talk.talkurl_set.all %}
                            <li><a href="{{ talkurl.url }}">{{ talkurl.description }}</a></li>
                            {% endfor %}
                        </ul>
                    </div>
                    {% endif %}
                </div>
                {% sponsors %}
            </div>
        </section>
        <hr class="featurette-divider">
        <footer>
            <p class="pull-right">
                <a href="#">Back to top</a>
            </p>
            <p>
                Copyright 2015-2016 DebConf16 Team.
                <a href="/site-credits">Credits &amp; Source</a>
            </p>
        </footer>
    </div>
    <script src="{{ STATIC_URL }}js/debconf16.min.js"></script>
    {% block extra_foot %}{% endblock %}
</body>
</html>
